Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.context
Class WebServiceContext

    java.lang.Object
      weblogic.webservice.context.WebServiceContext

Deprecated. please migrate to jws for webservices

public abstract class WebServiceContext
extends Object

The WebServiceContext object keeps track of the context information associated with a particular invocation of a WebLogic Web Service operation.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`static WebServiceContext` | `currentContext()` Deprecated. Returns the context information associated with the current thread.
`abstract WebServiceHeader` | `getHeader()` Deprecated. Returns the implicit SOAP headers associated with this Web service invocation.
`abstract SOAPMessageContext` | `getLastMessageContext()` Deprecated. Returns the last SOAPMessageContext associated with this Web Service invocation.
`abstract WebServiceSession` | `getSession()` Deprecated. Returns the session associated with this Web Service invocation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### currentContext

    public static WebServiceContext currentContext()
                                            throws ContextNotFoundException

  Deprecated.
  Returns the context information associated with the current thread.

  Returns:
    return the current context
  Throws:
    `ContextNotFoundException` - if there is no context associated with this thread.

### getHeader

    public abstract WebServiceHeader getHeader()

  Deprecated.
  Returns the implicit SOAP headers associated with this Web service invocation. "Implicit" refers to the SOAP headers that are not defined in the WSDL that describes the Web service.

  The implicit headers are grouped into a WebServiceHeader object which you can query for individual headers.

  Returns:
    headers

### getLastMessageContext

    public abstract SOAPMessageContext getLastMessageContext()

  Deprecated.
  Returns the last SOAPMessageContext associated with this Web Service invocation.

  Returns:
    soap message context

### getSession

    public abstract WebServiceSession getSession()

  Deprecated.
  Returns the session associated with this Web Service invocation.

  If you are using this method in the server-side Java code that implements the Web service operation (such as the method of an EJB or Java class), the session is very much like the HTTPSession object of the J2EE servlet API.

  Returns:
    session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD